<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE TaskDefinition PUBLIC "sailpoint.dtd" "sailpoint.dtd">
<TaskDefinition name="BNT User Application Report with Account Expires info" resultAction="Rename" subType="Identity and User Reports" type="LiveReport">
  <Attributes>
    <Map>
      <entry key="TaskSchedule.host"/>
      <entry key="disableDetail" value="false"/>
      <entry key="disableHeader" value="false"/>
      <entry key="disableSummary" value="false"/>
      <entry key="dontEmailEmptyReport">
        <value>
          <Boolean/>
        </value>
      </entry>
      <entry key="enableCsvHeader" value="false"/>
      <entry key="reportColumnOrder" value="application, identityDisplayName, identityName, startDate, terminationDate, account, accountDisplayName, Status, accountExpires"/>
    </Map>
  </Attributes>
  <Description>A detailed view of the users with its application attribute values displayed.</Description>
  <Owner>
    <Reference class="sailpoint.object.Identity" name="Sai.Teja.Anupindi"/>
  </Owner>
  <Parent>
    <Reference class="sailpoint.object.TaskDefinition" name="BNT Users by Application Report"/>
  </Parent>
  <Signature>
    <Inputs>
      <Argument multi="true" name="applications" type="Application">
        <Description>rept_input_app_user_report_apps</Description>
      </Argument>
      <Argument name="_attr_firstname" type="string"/>
      <Argument name="_attr_lastname" type="string"/>
      <Argument name="_attr_displayName" type="string"/>
      <Argument name="_attr_email" type="string"/>
      <Argument name="_attr_manager" type="sailpoint.object.Identity"/>
      <Argument name="_attr_inactive" type="boolean"/>
      <Argument name="_attr_terminationDate" type="string"/>
      <Argument name="_attr_team" type="string"/>
      <Argument name="_attr_mobile" type="string"/>
      <Argument name="_attr_preferredLanguage" type="string"/>
      <Argument name="_attr_locationCode" type="string"/>
      <Argument name="_attr_nationality" type="string"/>
      <Argument name="_attr_employeeStatus" type="string"/>
      <Argument name="_attr_telephoneNumber" type="string"/>
      <Argument name="_attr_initials" type="string"/>
      <Argument name="_attr_State" type="string"/>
      <Argument name="_attr_division" type="string"/>
      <Argument name="_attr_costCenter" type="string"/>
      <Argument name="_attr_jobTitle" type="string"/>
      <Argument name="_attr_location" type="string"/>
      <Argument name="_attr_personId" type="string"/>
      <Argument name="_attr_startDate" type="string"/>
      <Argument name="_attr_vendor" type="string"/>
      <Argument name="_attr_employeeType" type="string"/>
      <Argument name="_attr_candidateId" type="string"/>
      <Argument name="_attr_bntId" type="string"/>
      <Argument name="_attr_city" type="string"/>
      <Argument name="_attr_costCenterID" type="string"/>
      <Argument name="_attr_country" type="string"/>
      <Argument name="_attr_streetAddress" type="string"/>
      <Argument name="_attr_userId" type="string"/>
      <Argument name="_attr_zipCode" type="string"/>
      <Argument name="_attr_company" type="string"/>
      <Argument name="_attr_isPrejoiner" type="string"/>
      <Argument name="_attr_academicTitle" type="string"/>
      <Argument name="_attr_department" type="string"/>
    </Inputs>
  </Signature>
</TaskDefinition>